IPCMK(1)

NAME
ipcmk - create various ipc resources

SYNOPSIS
ipcmk -h
ipcmk [-M size] [-S nsems] [-Q] [-p mode]

DESCRIPTION
ipcmk allows you to create shared memory segments, message queues or semaphore arrays.

OPTIONS

Resources may be specified as follows:

-M size
    shared memory segment of size size

-S nsems
    semaphore array with nsems elements

-Q  message queue

Other options

-p mode
    permission for the resource (default is 0644)

-h  display a short help message and exit

SEE ALSO
ipcrm(1), ipcs(1)

AUTHOR
Hayden A. James (hayden.james@gmail.com)

AVAILABILITY
The ipcmk command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.